コンテンツへスキップ

Fibo Edit 1.5 Image Editing

統合

モデルID bria/fibo-edit-1.5/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit-1.5/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.04 40 APIクレジット このページで実行

APIキーを取得
Bria AI 画像編集 #stylized#transform#editing

テキスト指示に従う複数参照画像エディター。最大 4 枚の画像と任意のマスクに対応

Bria AI · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

aspect_ratio

複数の参照画像を含むリクエスト用の出力比率上書き。参照画像が1枚の場合は常にその画像自体が比率を決め、複数の場合は未指定なら1枚目の参照画像の比率を使用します。

詳細設定 instruction · images · mask · seed · structured_instruction

画像編集を説明する指示。

image_urls
ファイルをドロップ、または

送信順序によって指示の解釈順が決まる参照入力。ファイルまたはURLで1~4枚の画像を指定します。

mask_url
ファイルをドロップ、または

参照画像が1枚の場合のみ使用できる編集マスク。マスクと生成結果はどちらもその参照画像のサイズを使用します。白で再生成領域、黒でその他の領域を示すファイルまたはURLを指定します。

デフォルト 5555

再現可能な結果のために乱数を制御するシード。

再利用可能な構造化プロンプト。以前の編集で返されたものも含みます。指示を指定しない場合、このプロンプトを変更せずに使用し、VGLは代替ドキュメントを作成しません。

POST /run/bria/fibo-edit-1.5/edit?wait=20 見積もり → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit-1.5/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Fibo Edit 1.5 Image Editingについて

自然言語の `instruction` で画像を編集します。`image_urls` の参照画像は 1〜4 枚で、順序が重要です。バーチャル試着、背景置換、スタイル変換などに適しています。単一画像のリクエストでは `mask_url` で編集範囲を制限でき、`structured_instruction` で以前の結果を再利用できます。`aspect_ratio` は 2 枚以上の画像でのみ適用されます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
image_urls任意 images
型url[] · image
送信順序によって指示の解釈順が決まる参照入力。ファイルまたはURLで1~4枚の画像を指定します。
instruction任意
型string | null
画像編集を説明する指示。
aspect_ratio任意
型enum
1:12:33:23:44:34:55:49:1616:9
複数の参照画像を含むリクエスト用の出力比率上書き。参照画像が1枚の場合は常にその画像自体が比率を決め、複数の場合は未指定なら1枚目の参照画像の比率を使用します。
seed任意
型integer
デフォルト5555
再現可能な結果のために乱数を制御するシード。
mask_url任意 mask
型url · image
参照画像が1枚の場合のみ使用できる編集マスク。マスクと生成結果はどちらもその参照画像のサイズを使用します。白で再生成領域、黒でその他の領域を示すファイルまたはURLを指定します。
structured_instruction任意
型object
再利用可能な構造化プロンプト。以前の編集で返されたものも含みます。指示を指定しない場合、このプロンプトを変更せずに使用し、VGLは代替ドキュメントを作成しません。
structured_instruction.short_description任意
型string | null
意図する出力画像の簡潔な説明。
structured_instruction.objects任意
型object[]
デフォルト[]
生成画像の内容をリストとして指定し、各オブジェクトの属性と、描画された他のオブジェクトとの関係を記録します。
structured_instruction.objects[].description任意
型string | null
意図する出力オブジェクトの説明。
structured_instruction.objects[].location任意
型string | null
画像内のオブジェクトの位置。
structured_instruction.objects[].relationship必須
型string
画像内の他のオブジェクトとの関係。
structured_instruction.objects[].relative_size任意
型string | null
画像に対するオブジェクトの相対サイズ。
structured_instruction.objects[].shape_and_color任意
型string | null
オブジェクトの形状と色。
structured_instruction.objects[].texture任意
型string | null
オブジェクトの質感。
structured_instruction.objects[].appearance_details任意
型string | null
オブジェクトの外観を説明する詳細。
structured_instruction.objects[].number_of_objects任意
型integer | null
画像内のオブジェクト数。
structured_instruction.objects[].pose任意
型string | null
描画されたオブジェクトのポーズ。
structured_instruction.objects[].expression任意
型string | null
描画されたオブジェクトの表情。
structured_instruction.objects[].clothing任意
型string | null
描画されたオブジェクトが着用する衣服。
structured_instruction.objects[].action任意
型string | null
描画されたオブジェクトが行う動作。
structured_instruction.objects[].gender任意
型string | null
描画されたオブジェクトの性別。
structured_instruction.objects[].skin_tone_and_texture任意
型string | null
描画されたオブジェクトの肌の質感と色調。
structured_instruction.objects[].orientation任意
型string | null
描画されたオブジェクトの向き。
structured_instruction.background_setting任意
型string | null
生成画像の背景設定。
structured_instruction.lighting任意
型object
生成画像の照明。
structured_instruction.lighting.conditions任意
型string | null
生成画像の照明条件。
structured_instruction.lighting.direction任意
型string | null
生成画像の照明方向。
structured_instruction.lighting.shadows任意
型string | null
生成画像に描画する影。
structured_instruction.aesthetics任意
型object
生成画像の美的特性。
structured_instruction.aesthetics.composition任意
型string | null
生成画像の構図。
structured_instruction.aesthetics.color_scheme任意
型string | null
生成画像のカラーパレット。
structured_instruction.aesthetics.mood_atmosphere任意
型string | null
生成画像の雰囲気と空気感。
structured_instruction.aesthetics.aesthetic_score任意
型string | null
生成対象画像の美的スコア。
structured_instruction.aesthetics.preference_score任意
型string | null
生成対象画像の嗜好スコア。
structured_instruction.photographic_characteristics任意
型object
生成画像の写真特性。
structured_instruction.photographic_characteristics.depth_of_field任意
型string | null
生成画像の被写界深度。
structured_instruction.photographic_characteristics.focus任意
型string | null
生成画像の焦点。
structured_instruction.photographic_characteristics.camera_angle任意
型string | null
生成画像のカメラアングル。
structured_instruction.photographic_characteristics.lens_focal_length任意
型string | null
焦点距離で表す生成画像のレンズ設定。
structured_instruction.style_medium任意
型string | null
生成画像の表現媒体。
structured_instruction.text_render任意
型any[]
デフォルト[]
画像に含めるテキスト項目のリスト。
structured_instruction.context任意
型string | null
生成画像のコンテキスト。
structured_instruction.artistic_style任意
型string | null
生成画像の芸術的スタイル。
structured_instruction.edit_instruction任意
型string | null
画像の編集方法を説明する指示。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-edit-1.5/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {},
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "structured_instruction": {}
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
image
object {url, content_type, file_name, file_size, width, height}aspect_ratio を指定した場合はその比率、それ以外では元画像の比率に従う編集結果。
images
array of object {url, content_type, file_name, file_size, width, height}旧Fibo Edit APIルートを使用するクライアント向けの後方互換レスポンス。同じ画像だけを含むリストです。
structured_instruction
object実際に実行された構造化指示として返される、概要の展開解釈。組み込みの指示と `instruction` で指定したコンテンツの両方を取り込みます。

その他のモデル: 画像編集

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/bria/fibo-edit-1.5/edit.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt